﻿using System;
using StockModel;

namespace Plugins.Common
{
	public class OperationExecutedEventArgs : EventArgs
	{
		#region Properties

		public Operation Operation { get; private set; }

		#endregion

		#region Public Methods

		public OperationExecutedEventArgs(Operation operation)
		{
			this.Operation = operation;
		}

		#endregion
	}
}
