﻿using System;
using System.Collections.Generic;
using StockModel;
using Utils;

namespace Plugins.Core
{
	public class HistoricalExecutionResult
	{
		#region Properties

		public List<Operation> Operations { get; private set; }
		public DateRange EvaluatedDays { get; private set; }

		#endregion

		#region Public Methods

		public HistoricalExecutionResult(DateTime firstDay, DateTime lastDay)
		{
			this.Operations = new List<Operation>();
			this.EvaluatedDays = new DateRange(firstDay, lastDay);
		}

		#endregion
	}
}
