﻿using System.Windows.Media.Imaging;

namespace Plugins.Core
{
	public class VisualRepresentation
	{
		#region Properties

		public string MenuText { get; private set; }
		public BitmapImage ToolBarIcon { get; private set; }

		#endregion

		#region Public Methods

		public VisualRepresentation(BitmapImage toolBarIcon, string menuText)
		{
			this.MenuText = menuText;
			this.ToolBarIcon = toolBarIcon;
		}

		#endregion
	}
}
