﻿using System;
using StockModel;

namespace Plugins.Historical
{
	public class HistoricalItemToProcess
	{
		#region Properties

		public DateTime Date { get; private set; }
		public Stock Stock { get; private set; }

		#endregion

		#region Public Methods

		public HistoricalItemToProcess(DateTime date, Stock stock)
		{
			this.Date = date;
			this.Stock = stock;
		}

		#endregion
	}
}
