﻿using StockAccessors.Interdin.Engine;

namespace StockAccessors
{
	public class AccessorFactory
	{
		#region Attributes

		private readonly Accessor _accessor;

		#endregion

		#region Public Methods

		public AccessorFactory(string user, string password)
		{
			_accessor = new Accessor(user, password);
		}

		public IStockDataAccessor CreateAccessor()
		{
			return _accessor;
		}

		public IOrderExecutor CreateOrderExecutor()
		{
			return _accessor;
		}

		#endregion
	}
}
