﻿namespace StockAccessors
{
	public interface IOrderExecutor
	{
		bool IsSimulationEnabled { get; set; }

		OperationExecutionResult ExecuteMarketOrder(string symbol, int volume, bool buySell);
		OperationExecutionResult ExecuteMarketOrderInOpeningBid(string symbol, int volume, bool buySell);
		void ExecuteLimitedOrder(string symbol, int volume, bool buySell, decimal value);
	}
}
