﻿using System;
using System.Collections.Generic;

namespace StockAccessors
{
	public interface IStockDataAccessor : IDisposable
    {
        void Connect();
        void Disconnect();
    	void ReadOnce();

		IStockDataAccessorInformation Information { get; }

        void OpenBrowser();

        List<AccessorGroup> Groups { get; }
    }
}
