﻿using System;
using System.ComponentModel;

namespace StockAccessors
{
	public interface IStockDataAccessorInformation : INotifyPropertyChanged, IDisposable
	{
		bool Connected { get; }
		int Reconnections { get; }
		int ReadCycles { get; }
		DateTime? LastDataReceived { get; }
		bool InvalidConnectionData { get; }
	}
}
