﻿using System;
namespace StockAccessors.Interdin.Model
{
	internal class CfdWebPage : WebPage
    {
        #region Properties
        
        public CfdWebGroup Ibex35Group { get; private set; }
        public CfdWebGroup ContinuousMarketGroup { get; private set; }
        public CfdWebGroup EuroStoxx50Group { get; private set; }

        #endregion

        public CfdWebPage(string pageContents) : base(pageContents)
		{
			DateTime creationTime = DateTime.Now;

        	this.Ibex35Group = new CfdWebGroup(base.CreateGroupXml("CFDs IBEX-35"), creationTime);
        	this.ContinuousMarketGroup = new CfdWebGroup(base.CreateGroupXml("CFDs MERCADO CONTINUO"), creationTime);
        	this.EuroStoxx50Group = new CfdWebGroup(base.CreateGroupXml("CFDs EUROSTOXX-50"), creationTime);
		}
	}
}
