﻿using System.Xml.Linq;

namespace StockAccessors.Interdin.Model
{
    internal class WebCfd : WebItem
    {
        #region Properties

        public string LastValue
        {
            get
            {
                return base.ExtractTableCellValue(1);
            }
        }

        public string Difference
        {
            get
            {
                return base.ExtractTableCellValue(2);
            }
        }

        public string DifferencePercentage
        {
            get
            {
                return base.ExtractTableCellValue(3);
            }
        }

        public string Hour
        {
            get
            {
				return base.ExtractTableCellValue(base.Lines.Count - 1);
            }
        }

        #endregion

        #region Public Methods

        public WebCfd(XElement data) : base(data)
        {
        }

        #endregion
    }
}
