﻿using System.Xml.Linq;
using System;

namespace StockAccessors.Interdin.Model
{
	internal abstract class WebGroup
	{
		#region Attributes

		private readonly XDocument _data;

		#endregion

		#region Properties

		protected XDocument Data
		{
			get
			{
				return _data;
			}
		}

        public DateTime CreationTime { get; private set; }

		#endregion

		#region Public Methods

		protected WebGroup(XDocument data, DateTime creationTime)
		{
			_data = data;
			this.CreationTime = creationTime;
		}

		#endregion
	}
}
