using System;
using System.Windows;

namespace StockAnalyst2
{
	internal class MessageBoxRequestedEventArgs : EventArgs
	{
		#region Properties

		public string Caption { get; private set; }
		public string Message { get; private set; }
		public MessageBoxImage Icon { get; private set; }

		#endregion

		#region Public Methods

		public MessageBoxRequestedEventArgs(string caption, string message, MessageBoxImage icon)
		{
			this.Caption = caption;
			this.Message = message;
			this.Icon = icon;
		}

		#endregion
	}
}