﻿namespace StockAnalyst2.StockGrid
{
	internal class CellIntegerVM : CellVM
	{
		#region Attributes

		private int? _value;
		private bool _isRising;

		#endregion

		#region Properties

		public int? Value
		{
			get
			{
				return _value;
			}
			set
			{
				if (_value != value)
				{
					if (_value != null)
					{
						base.IsNotFirstValue = true;

						if (_value < value)
						{
							this.IsRising = true;
						}
						else if (_value > value)
						{
							this.IsRising = false;
						}
					}
					
					_value = value;
					base.OnPropertyChanged("Value");
				}
			}
		}

		public bool IsRising
		{
			get
			{
				return _isRising;
			}
			set
			{
				if (_isRising != value)
				{
					_isRising = value;
					base.OnPropertyChanged("IsRising");
				}
			}
		}

		#endregion 

	}
}
