﻿using System;
using System.Diagnostics;

namespace TechnicalIndicators.Points
{
	[DebuggerDisplay("X = {X}, High = {High}, Low = {Low}")]
	public class DatedSerieDoublePoint
	{
		#region Properties

		public DateTime X { get; private set; }
		public decimal High { get; private set; }
		public decimal Low { get; private set; }

		#endregion

		#region Public Methods

		public DatedSerieDoublePoint(DateTime x, decimal high, decimal low)
		{
			this.X = x;
			this.High = high;
			this.Low = low;
		}

		#endregion
	}
}
