﻿using System.Data;

namespace Utils
{
	public interface IDataBaseClient
	{
		DataTable ExecuteQuery(string query);
		DataTable ExecuteQuery(string query, string[] parameterNames, object[] parameterValues);
		DataTable ExecuteQuery(string query, int timeout, string[] parameterNames, object[] parameterValues);
		
		object ExecuteScalar(string query);
		object ExecuteScalar(string query, string[] parameterNames, object[] parameterValues);
		object ExecuteScalar(string query, int timeout, string[] parameterNames, object[] parameterValues);
		
		int ExecuteCommand(string query);
		int ExecuteCommand(string query, string[] parameterNames, object[] parameterValues);
		int ExecuteCommand(string query, int timeout, string[] parameterNames, object[] parameterValues);
		
		bool ExistsTable(string name);
	}
}