﻿using System.Windows;

namespace Utils.Wpf
{
	public partial class ControlRendererContainer : Window
	{
		#region Public Methods

		public ControlRendererContainer()
		{
			this.ContentRendered += Window_ContentRendered;
			InitializeComponent();
		}

		public void PrepareForRender()
		{
			this.ShowDialog();
		}

		#endregion

		#region Event Handlers

		private void Window_ContentRendered(object sender, System.EventArgs e)
		{
			this.Close();
		}

		#endregion
	}
}
