﻿using System;
using System.Collections.Generic;
using System.Windows;

namespace Plugins.Core
{
	public class HistoricalResultsAvailableEventArgs : EventArgs
	{
		#region Properties

		public HistoricalExecutionResult Result { get; private set; }
		public List<FrameworkElement> CustomData { get; private set; }

		#endregion

		#region Public Methods

		public HistoricalResultsAvailableEventArgs(DateTime firstDay, DateTime lastDay)
		{
			this.Result = new HistoricalExecutionResult(firstDay, lastDay);
			this.CustomData = new List<FrameworkElement>();
		}

		#endregion
	}
}
