﻿using System;

namespace Plugins.UserControls
{
	[Serializable]
	public class Preset<T>
	{
		#region Properties

		public string Name { get; private set; }
		public T Settings { get; private set; }

		#endregion

		#region Public Methods

		public Preset(string name, T settings)
		{
			this.Name = name;
			this.Settings = settings;
		}

		#endregion
	}
}
