﻿using System.Collections.Generic;
using StockModel;

namespace StockAccessors
{
    public class AccessorGroup
    {
        #region Properties

        public StockGroupName Name { get; private set; }
        public List<AccessorStockQuote> Stocks { get; private set; }

        #endregion

        #region Public Methods
        
        public AccessorGroup(StockGroupName name, List<AccessorStockQuote> stocks)
        {
            this.Name = name;
            this.Stocks = stocks;
        }

        #endregion
    }
}
