﻿using System;

namespace StockAccessors.Interdin.Engine
{
	internal static class VolumeFixer
	{
		public static void FixVolumeInQuote(AccessorStockQuote quote)
		{
			if (quote.Hour != null && quote.Hour.Value.TimeOfDay > DateTime.Now.TimeOfDay.Add(Properties.Settings.Default.AllowedTimeOffset))
			{
				quote.Volume = 0;
			}
		}
	}
}
