﻿using System;
using System.Windows.Controls;
using Plugins;
using Plugins.Core;

namespace StockAnalyst2.Plugins.Engine
{
	public class PluginAttachRequestedEventArgs : EventArgs
	{
		#region Properties

		public MenuItem MenuItem { get; private set; }
		public Button ToolBarButton { get; private set; }
		public IStrategyPlugin Plugin { get; private set; }

		#endregion

		#region Public Methods

		public PluginAttachRequestedEventArgs(MenuItem menuItem, Button toolBarButton, IStrategyPlugin plugin)
		{
			this.MenuItem = menuItem;
			this.ToolBarButton = toolBarButton;
			this.Plugin = plugin;
		}

		#endregion
	}
}
