﻿using System;

namespace StockAnalyst2.Plugins.Visualization.Realtime
{
	internal class NotificationViewerRowVM
	{
		#region Attributes

		private readonly Notification _model;

		#endregion

		#region Properties

		public DateTime Date
		{
			get
			{
				return _model.Date;
			}
		}

		public string Message
		{
			get
			{
				return _model.Message;
			}
		}

		#endregion

		#region Public Methods

		public NotificationViewerRowVM(Notification model)
		{
			_model = model;
		}

		#endregion
	}
}
