﻿using System.Collections.Generic;
using StockModel;

namespace StockEngine.RealTime
{
	internal class EngineStockGroup : StockGroup
	{
		#region Properties

		public bool IsInitialized { get; set; }
		public List<StockGroupItem> RemovedItems { get; private set; }

		#endregion

        #region Public Method

        public EngineStockGroup(StockGroupName name) : base(name)
		{
			this.RemovedItems = new List<StockGroupItem>();
        }

        #endregion
    }
}
