﻿using System;
using System.Diagnostics;

namespace TechnicalIndicators.Points
{
	[DebuggerDisplay("X = {X}, Y = {Y}")]
	public class DatedSeriePoint
	{
		#region Properties

		public DateTime X { get; private set; }
		public decimal Y { get; private set; }

		#endregion

		#region Public Methods

		public DatedSeriePoint(DateTime x, decimal y)
		{
			this.X = x;
			this.Y = y;
		}

		#endregion
	}
}