﻿using StockModel;
using TechnicalIndicators.Points;
using Utils;

namespace TechnicalIndicators.QuotationBased
{
	public class AccumulatedVolumeGenerator : GeneratorBase<Quotation, DatedSeriePoint>
	{
		#region Public Methods

		public AccumulatedVolumeGenerator(ObservableCollection2<DatedSeriePoint> destination) : base(destination)
		{
		}

		protected override DatedSeriePoint CreatePoint(Quotation quotation)
		{
			return new DatedSeriePoint(quotation.Date, quotation.Volume);
		}

		#endregion
	}
}
