﻿using StockModel;
using TechnicalIndicators.Points;
using Utils;

namespace TechnicalIndicators.QuotationBased
{
	public class AskGenerator : GeneratorBase<Quotation, DatedSeriePoint>
	{
		#region Public Methods

		public AskGenerator(ObservableCollection2<DatedSeriePoint> destination) : base(destination)
		{
		}

		protected override DatedSeriePoint CreatePoint(Quotation quotation)
		{
			return new DatedSeriePoint(quotation.Date, quotation.Sellers[0].Value);
		}

		#endregion
	}
}
