﻿using System;

namespace Utils
{
	public class DateRange
	{
		#region Properties

		public DateTime From { get; private set; }
		public DateTime To { get; private set; }

		#endregion

		#region Public Methods

		public DateRange(DateTime from, DateTime to)
		{
			if (from > to)
			{
				throw new ArgumentOutOfRangeException("from", "From value cannot be greater than to");
			}

			this.From = from;
			this.To = to;
		}

		#endregion
	}
}
